#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct BigQueryLocatorTemplate {
    #[serde(rename = "valueColumn")]
    value_column: super::super::super::logicalseries::api::ColumnName,
    #[serde(rename = "timeColumn")]
    time_column: super::super::super::logicalseries::api::ColumnName,
    #[serde(rename = "type")]
    type_: super::super::super::logicalseries::api::BigQueryType,
}
impl BigQueryLocatorTemplate {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        value_column: super::super::super::logicalseries::api::ColumnName,
        time_column: super::super::super::logicalseries::api::ColumnName,
        type_: super::super::super::logicalseries::api::BigQueryType,
    ) -> Self {
        Self::builder()
            .value_column(value_column)
            .time_column(time_column)
            .type_(type_)
            .build()
    }
    #[inline]
    pub fn value_column(&self) -> &super::super::super::logicalseries::api::ColumnName {
        &self.value_column
    }
    #[inline]
    pub fn time_column(&self) -> &super::super::super::logicalseries::api::ColumnName {
        &self.time_column
    }
    #[inline]
    pub fn type_(&self) -> &super::super::super::logicalseries::api::BigQueryType {
        &self.type_
    }
}
